<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Member List (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">iQuestManager Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="structiQuestManager.html">iQuestManager</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a72864859727427b913838b2a73043974">AddActionReward</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *id_par, const char *pcclass_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#adab90e8984c891851def011eb34008e5">AddChangePropertyReward</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *prop_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#ae25a9009348190cff1e5c1e068d2dd27">AddCreateEntityReward</a>(iQuestTriggerResponseFactory *response, const char *template_par, const char *name_par, const celEntityTemplateParams &amp;tpl_params)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a63492dcaa4714deebbfda167360df30a">AddCsSequenceReward</a>(iQuestTriggerResponseFactory *response, const char *sequence_par, const char *delay_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a6bdaabd35a805df6f7efabbd7d252be7">AddDebugPrintReward</a>(iQuestTriggerResponseFactory *response, const char *msg)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a91e3b35ea8e6c85cbe423d3c1edd43f4">AddDestroyEntityReward</a>(iQuestTriggerResponseFactory *response, const char *entity_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#af43fea5ff78fd0ea88e0505ccedaa512">AddInventoryReward</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *child_entity_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a4d2bc4108a5e8f7afbcde46797102856">AddMessageReward</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *id_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a3ecbde49a9d29134528c6b0c68ad34db">AddNewStateReward</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *state_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a5d0ec17cc4948f7bdcf668fcb52b9eb1">AddRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#abc45458f72ae6c6e8883dd8e267f543c">AddSequenceFinishReward</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sequence_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a0023903a2c0deec53d275946be714932">AddSequenceReward</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sequence_par, const char *delay_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#af7e110437a79d5fcb4f190bef935f457">CreateQuestFactory</a>(const char *name)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a3a44d46ca155e6ab0c0179db01011bb0">DecRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#aeebf94ff535afffc22fcbfe869b70c30">GetInterfaceMetadata</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a0e778377cbe10fb06fb0507a125ce880">GetQuestFactory</a>(const char *name)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a74696c1b99c7161216ee26161944adfd">GetRefCount</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a18b239b4a70de7f49629c0c65189610c">GetRewardType</a>(const char *name)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a11afcd1743512ffa027032acb597ee6e">GetSeqOpType</a>(const char *name)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#ad4d4aa879be167c7c962cd396193fa52">GetTriggerType</a>(const char *name)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a426a2763702fbbc33a213f849042284a">IncRef</a>()=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#ac8fcc591814839a9d6af627420401f93">Load</a>(iDocumentNode *node)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a2adc74eb0286a65f2310f221be4ddded">QueryInterface</a>(scfInterfaceID iInterfaceID, int iVersion)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#af47216e2d7b12ea3380472870bbe5644">RegisterRewardType</a>(iRewardType *trigger)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a2431f1de00a37b51a4e4c1c68240b8e5">RegisterSeqOpType</a>(iSeqOpType *seqop)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a7cf827acee4d312a8742e19f111075f8">RegisterTriggerType</a>(iTriggerType *trigger)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a793672a32b468fdd81d9581d7e139d20">RemoveQuestFactories</a>()=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#ab7c9f7fcdc6ae6134e18b65196c1bcfa">RemoveQuestFactory</a>(const char *name)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a0292fc77bd2b4f8ff5ff25e9540417e0">RemoveRefOwner</a>(void **ref_owner)=0</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a2c5e1458063bea68a42d63d95868896f">SetEnterSectorTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sector_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a0e54308f57b8b53e7b9f57a2cc31629d">SetInventoryTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *child_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a1148f5a6f3fa04c5b1c3e6dd61173256">SetMeshEnterSectorTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sector_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a915132755275f44f8c51972088efdc50">SetMeshSelectTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a794ac575bf3ce02e049e28655ca92d3d">SetMessageTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *mask_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a49beef9769b370bb846607f432ede364">SetOperationTrigger</a>(iQuestTriggerResponseFactory *response, const char *operation_par, csRefArray&lt; iTriggerFactory &gt; &amp;trigger_factories)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#abc48635ccea8052ab87a85bc89138e97">SetPropertyChangeTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *prop_par, const char *value_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a25797c7aaf7000b995a88d77b2a19f0d">SetSequenceFinishTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sequence_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#ad90b1b168f76040e4f74727a3abbf0cb">SetTimeoutTrigger</a>(iQuestTriggerResponseFactory *response, const char *timeout_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a77eb5aa0e1aded24ebde28b068fab27f">SetTriggerTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par, bool do_leave=false)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="structiQuestManager.html#a6f252521657c562bb8cb3ce391024e50">SetWatchTrigger</a>(iQuestTriggerResponseFactory *response, const char *entity_par, const char *target_entity_par, const char *checktime_par, const char *radius_par)=0</td><td><a class="el" href="structiQuestManager.html">iQuestManager</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html#a64186fd7973d2ef0bc16013e302b6ea3">~iBase</a>()</td><td><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a></td><td><code> [protected, virtual]</code></td></tr>
</table></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
